<div class="centered">
  <div *ngIf="currentUser.role === 'client'" class="centeredContent">
    <mat-form-field appearance="fill">
      <mat-label>Select Credit Card</mat-label>
      <mat-select>
        <mat-option
          *ngFor="let card of currentUser.creditCards"
          [value] = "card.cardNumber"
          (click)="showBalanceOnTap(card.id)"
        >
          {{card.cardNumber}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div *ngIf="isBalanceLoaded" class="centeredContent">
    <mat-card>
      <mat-card-title class="centered">
        <p class="centered" *ngIf="isFetching; else noFetching">
          <mat-spinner></mat-spinner>
        </p>
        <ng-template #noFetching>{{balance}} RON</ng-template>
      </mat-card-title>
      <mat-card-content>
        <p class="centered">Current amount available</p>
      </mat-card-content>
      <mat-card-actions>
        <button
          mat-raised-button
          color="primary"
          (click)="goBackOnTap()"
        >OK</button>
      </mat-card-actions>
    </mat-card>
  </div>
</div>
